/***

The MIT License

Copyright (c) 2018 Teppei Tamra (TAM)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

***/

#ifndef SAORIWINDOW_H
#define SAORIWINDOW_H

#include <QMainWindow>
#include <QTreeWidgetItem>
#include <QPair>
#include <QUrl>

namespace Ui {
class SaoriWindow;
}

class SaoriWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit SaoriWindow(QWidget *parent = 0);
    ~SaoriWindow();
    static QPair<QString,QString> getTimelineTitle(const QString timeline);

protected:
    void openView(const QStringList viewName);

public slots:
    void openMediaView(const QUrl url);

protected slots:
    void openAccountDialog();
    void updateTimelineList();

protected:

private slots:
    void on_timelineTree_itemDoubleClicked(QTreeWidgetItem *item, int);

    void on_actionTabbedView_mode_toggled(bool arg1);

private:
    Ui::SaoriWindow *ui;
};

#endif // SAORIWINDOW_H
